Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.ajax
Class AjaxCommandFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.controller.command.mapper.AbstractCommandFactory
                      org.jboss.portal.core.controller.ajax.AjaxCommandFactory

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, CommandFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class AjaxCommandFactory

extends AbstractCommandFactory

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AjaxCommandFactory()`

Method Summary
`ControllerCommand` | `doMapping(ControllerContext controllerContext, ServerInvocation invocation, java.lang.String host, java.lang.String contextPath, java.lang.String requestPath)` Create a command.

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxCommandFactory

    public AjaxCommandFactory()

Method Detail

### doMapping

    public ControllerCommand doMapping(ControllerContext controllerContext,
                                       ServerInvocation invocation,
                                       java.lang.String host,
                                       java.lang.String contextPath,
                                       java.lang.String requestPath)

  Description copied from interface: `CommandFactory`
  Create a command.

  Parameters:
    `controllerContext` - the controller context
    `invocation` - the server invocation
    `host` - the host
    `contextPath` - the context path
    `requestPath` - the request path @return the command or null if no command is recognized

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD